Bug 188715 - [Attachment Support] Remove _WKAttachments and notify the UI client upon mainframe navigation
Summary: [Attachment Support] Remove _WKAttachments and notify the UI client upon main...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Wenson Hsieh
URL:
Keywords: InRadar
Depends on: 188496
Blocks: 181294
  Show dependency treegraph
 
Reported: 2018-08-17 18:59 PDT by Wenson Hsieh
Modified: 2018-08-21 20:22 PDT (History)
8 users (show)

See Also:


Attachments
Depends on 188496 (34.78 KB, patch)
2018-08-18 00:14 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Depends on 188496 (35.05 KB, patch)
2018-08-19 14:49 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Patch (34.88 KB, patch)
2018-08-21 15:20 PDT, Wenson Hsieh
thorton: review+
Details | Formatted Diff | Diff
Patch for EWS (34.92 KB, patch)
2018-08-21 16:57 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-sierra-wk2 (3.47 MB, application/zip)
2018-08-21 19:50 PDT, EWS Watchlist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wenson Hsieh 2018-08-17 18:59:25 PDT
A continuation of https://bugs.webkit.org/show_bug.cgi?id=188496.
Comment 1 Wenson Hsieh 2018-08-18 00:14:01 PDT
Created attachment 347436 [details]
Depends on 188496
Comment 2 Wenson Hsieh 2018-08-19 14:49:04 PDT
Created attachment 347466 [details]
Depends on 188496
Comment 3 Radar WebKit Bug Importer 2018-08-20 20:03:26 PDT
<rdar://problem/43541790>
Comment 4 Wenson Hsieh 2018-08-21 15:20:02 PDT
Created attachment 347709 [details]
Patch
Comment 5 Wenson Hsieh 2018-08-21 16:57:37 PDT
Created attachment 347729 [details]
Patch for EWS
Comment 6 EWS Watchlist 2018-08-21 19:50:04 PDT Comment hidden (obsolete)
Comment 7 EWS Watchlist 2018-08-21 19:50:06 PDT Comment hidden (obsolete)
Comment 8 WebKit Commit Bot 2018-08-21 20:22:03 PDT
Comment on attachment 347729 [details]
Patch for EWS

Clearing flags on attachment: 347729

Committed r235156: <https://trac.webkit.org/changeset/235156>